#!/bin/sh
EXT=rpm
for rpm in *.rpm;do
	if [[ -n "$DESKTOP_SESSION" ]] || [[ ! "${rpm:0:3}" == "qt-" ]];then
		list=${list:+$list }`echo $rpm | sed "s/.rpm//g"`
	fi
done
echo $list
for package in ${list};do
        if [ -z "`rpm -qa | grep -i ${package}`" ];then
                PACKAGES="$PACKAGES ${package}.${EXT}"
                echo -e "\033[35m${package}.${EXT}"
        fi
done

if [ -n "$PACKAGES" ];then
 	if [ "$1" == "-s" ];then
		rpm -ivh $PACKAGES &>/dev/null
	else
		rpm -ivh $PACKAGES
	fi
fi
